package com.mycompany.springdemo;

import com.mycompany.springdemo.entities.Customer;
import com.mycompany.springdemo.entities.PizzaOrder;
import com.mycompany.springdemo.entities.PizzaOrderItem;
import com.mycompany.springdemo.services.CustomerService;
import com.mycompany.springdemo.services.PizzaOrderService;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * Hello world!
 */
public class App {
	public static void main(String[] args) {
		ApplicationContext context =
				new ClassPathXmlApplicationContext("applicationContext.xml");
		PizzaOrderService service = context.getBean(PizzaOrderService.class);

		PizzaOrderItem item = new PizzaOrderItem();
		PizzaOrder order = new PizzaOrder();

		item.setPizzaOrder(order);
		item.setCount(1);
		item.setDescription("Hawai");
		item.setId(252L);

		order.setId(123L);
		order.setDescription("pro pepu");
		order.getItems().add(item);

		service.createPizzaOrder(order);

		Customer customer = new Customer();
		customer.setId(1L);
		CustomerService customerService = context.getBean(CustomerService.class);
		customerService.createCustomer(customer);

	}
}
