package com.mycompany.springdemo.entities;

/**
 * @author adamekp
 */
public class PizzaOrderItem {

	private Long id;
	private int count;
	private String description;
	private PizzaOrder pizzaOrder;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public PizzaOrder getPizzaOrder() {
		return pizzaOrder;
	}

	public void setPizzaOrder(PizzaOrder pizzaOrder) {
		this.pizzaOrder = pizzaOrder;
	}

	@Override
	public int hashCode() {
		int hash = 3;
		hash = 67 * hash + (this.id != null ? this.id.hashCode() : 0);
		return hash;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		final PizzaOrderItem other = (PizzaOrderItem) obj;
		return !(this.id == null || !this.id.equals(other.id));
	}


}
